;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;; See the file LICENCE for licence information.

(in-package :cl-store)


;; setup special floats
(defvar +single-positive-infinity+ (expt most-positive-single-float 2))
(defvar +single-negative-infinity+ (expt most-negative-single-float 3))
(defvar +single-nan+ (/ +single-negative-infinity+ +single-negative-infinity+))

(defvar +double-positive-infinity+ (expt most-positive-double-float 2))
(defvar +double-negative-infinity+ (expt most-negative-double-float 3))
(defvar +double-nan+ (/ +double-negative-infinity+ +double-negative-infinity+))


(setf *special-floats*
  (list (cons +double-positive-infinity+ +positive-double-infinity-code+)
        (cons +single-positive-infinity+ +positive-infinity-code+)
        (cons +single-negative-infinity+ +negative-infinity-code+)
        (cons +double-negative-infinity+ +negative-double-infinity-code+)
        (cons +single-nan+ +float-nan-code+)
        (cons +double-nan+ +float-double-nan-code+)))



;; EOF
